Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-settings.php on line 472

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-settings.php on line 487

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-settings.php on line 494

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-settings.php on line 530

Strict Standards: Declaration of Walker_Page::start_lvl() should be compatible with Walker::start_lvl(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 594

Strict Standards: Declaration of Walker_Page::end_lvl() should be compatible with Walker::end_lvl(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 594

Strict Standards: Declaration of Walker_Page::start_el() should be compatible with Walker::start_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 594

Strict Standards: Declaration of Walker_Page::end_el() should be compatible with Walker::end_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 594

Strict Standards: Declaration of Walker_PageDropdown::start_el() should be compatible with Walker::start_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 611

Strict Standards: Declaration of Walker_Category::start_lvl() should be compatible with Walker::start_lvl(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 705

Strict Standards: Declaration of Walker_Category::end_lvl() should be compatible with Walker::end_lvl(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 705

Strict Standards: Declaration of Walker_Category::start_el() should be compatible with Walker::start_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 705

Strict Standards: Declaration of Walker_Category::end_el() should be compatible with Walker::end_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 705

Strict Standards: Declaration of Walker_CategoryDropdown::start_el() should be compatible with Walker::start_el(&$output) in /home/controlz/public_html/blog/wp-includes/classes.php on line 728

Strict Standards: Redefining already defined constructor for class wpdb in /home/controlz/public_html/blog/wp-includes/wp-db.php on line 306

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-includes/cache.php on line 103

Strict Standards: Redefining already defined constructor for class WP_Object_Cache in /home/controlz/public_html/blog/wp-includes/cache.php on line 425

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-includes/query.php on line 21

Deprecated: Assigning the return value of new by reference is deprecated in /home/controlz/public_html/blog/wp-includes/theme.php on line 623

Strict Standards: Redefining already defined constructor for class WP_Dependencies in /home/controlz/public_html/blog/wp-includes/class.wp-dependencies.php on line 15

Warning: session_start(): Cannot send session cookie - headers already sent by (output started at /home/controlz/public_html/blog/wp-settings.php:472) in /home/controlz/public_html/blog/wp-content/plugins/si-captcha-for-wordpress/si-captcha.php on line 31

Warning: session_start(): Cannot send session cache limiter - headers already sent (output started at /home/controlz/public_html/blog/wp-settings.php:472) in /home/controlz/public_html/blog/wp-content/plugins/si-captcha-for-wordpress/si-captcha.php on line 31

Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GoogleSitemapGeneratorLoader::Enable() should not be called statically in /home/controlz/public_html/blog/wp-includes/plugin.php on line 311
Eclipse Ganymedes 3.4 en Ubuntu 8.04 de 64 Bits | formatic.cat

Eclipse Ganymedes 3.4 en Ubuntu 8.04 de 64 Bits

En esta explicación os voy a contar como tener en un Ubuntu de 64 Bits, el Eclipse 3.4 Ganymedes de 64 Bits con el plugin de PHP-PDT, que en teoria, no soporta la instalación de tales bits.

Primero de todo instalaremos eclipse:

Descargamos eclipse desde este enlace, lo descargamos en el escritorio (o donde os sea mas cómodo) y abrimos un terminal, esta es la secuencia para descomprimir y mover a OPT:

cd ~/Desktop
tar -zxvf eclipse-SDK-3.4-linux-gtk-x86_64.tar.gz
sudo mv eclipse /opt/ganymede

En la primera linea pone Desktop, depende el idioma en el que se instalara UBuntu puede ser Desktop o Escritorio.

Ahora procederemos a instalar dos componentes para Eclipse, el DLTK y el PHP-PDT.

Nos bajamos el DLTK, de este enlace y también nos bajamos de este otro enlace el PHP-PDT.

Ahora abrimos el Terminal y hacemos lo siguiente, suponiendo que los archivos estan en el escritorio y que vamos a crear dos carpetas en el mismo escritorio con nombres pdt y dltk, sino corregir las rutas de los comandos.

mkdir pdt dltk
mv org.eclipse.php_feature-I20080722.zip pdt
cd pdt
unzip org.eclipse.php_feature-I20080722.zip
cd ~/Desktop
mv dltk-core-I-I200807291021-200807291021-incubation.zip dltk
cd dltk
unzip dltk-core-I-I200807291021-200807291021-incubation.zip

Bien, ahora ya tenemos los dos plugins descargados, y descomprimidos en carpetas y sabemos localizarlos, ahora toca abrir el Eclipse. Una vez dentro nos vamos a Help->Software Updates… clickamos en la pestaña de Avalible Software y posteriormente a Add Site, se nos abre una ventanita para seleccion de archivo, clickamos en el boton ‘Local…’ y vamos a buscar el archivo de ‘~/Escritorio/dltk/eclipse’, y repetimos el proceso para el archivo PDT.

Una vez los tengas agregados solo hay que marcar las casillas del arbol desplegable que se ha generado a la izquierda, y marcamos las opciones “PDT Feature” y “Dynamic Languages Toolkit”.

Una vez hecho todo esto, y si no da ningun tipo de error, Eclipse nos dirá que hay que reiniciar el programa, le damos a aceptar y ya esta, Eclipse 64Bits con plugin PDT incorporado funcionando a la perfección.

Etiquetas:

3 comentarios para “Eclipse Ganymedes 3.4 en Ubuntu 8.04 de 64 Bits”


  1. Deprecated: Function ereg() is deprecated in /home/controlz/public_html/blog/wp-content/plugins/google-analyticator/google-analyticator.php on line 399
    No mme funciona dice:

    He segiodo al pie de la letra todos los pasos y no me dio ningún error (aunque si el ecplispe bajo algunas cosas de internet cuando estaba instalando ) pero cuando reinicio el eclipse no veno como crear un Php project por ningun lugar, aunque el eclipse me dice que php-features esta instalado…

    que puede ser??


  2. Deprecated: Function ereg() is deprecated in /home/controlz/public_html/blog/wp-content/plugins/google-analyticator/google-analyticator.php on line 399
    edu dice:

    Es raro que no te haya ningún error y no te funcione. Para crear un nuevo proyecto PHP debes usar el asistente:

    File -> New -> Project…

    En la ventana del asistente para nuevo proyecto te saldrá una carpeta “PHP” que contiene el tipo de proyecto que necesitas: PHP Project

    Saludos.


  3. Deprecated: Function ereg() is deprecated in /home/controlz/public_html/blog/wp-content/plugins/google-analyticator/google-analyticator.php on line 399
    Blog dice:

    Blog…

    [...] something about blog[...]…

Deja un comentario

CAPTCHA Image Audio Version
Reload Image